<?php
require_once('tcpdf_include.php');

try
{
	$bdd = new PDO('mysql: host=localhost;dbname=inscription', 'root', 'wisdom25');	
}
catch (Exception $e)
{
	die('Erreur: ' . $e->getMessage());
}
header('Content-Type: text/html; charset="utf-8"');

//Récupération des variables
$matricule=trim($_POST['matricule']);
$annee= trim($_POST['annee']);
$sessions= trim($_POST['semestre']);

if(empty($matricule) OR empty($annee) OR empty($sessions))
{
	header('Location:../plateforme_fiche_preinscrirption.php');
}	

$presentation = $bdd->prepare('SELECT * FROM etudiant WHERE matricule= :matric');
$presentation->execute(array('matric' => $matricule));
$donnees= $presentation->fetch();
$filiere= $bdd -> prepare('SELECT * FROM filiere WHERE id_filiere= ?');
$filiere-> execute (array($donnees['filiere']));
$filiere_etudiant= $filiere->fetch();
if($sessions=='1-2'){
$matiere1=$bdd->prepare('SELECT * FROM cours WHERE semestre_id=:semes AND filiere_id=:fil');
$matiere1->execute(array('semes'=>'1', 'fil'=>$donnees['filiere']));
$matiere2=$bdd->prepare('SELECT * FROM cours WHERE semestre_id=:semes AND filiere_id=:fil');
$matiere2->execute(array('semes'=>'2', 'fil'=>$donnees['filiere']));
}
else if ($sessions=='3-4'){
$matiere1=$bdd->prepare('SELECT * FROM cours WHERE semestre_id=:semes AND filiere_id=:fil');
$matiere1->execute(array('semes'=>'4', 'fil'=>$donnees['filiere']));
$matiere2=$bdd->prepare('SELECT * FROM cours WHERE semestre_id=:semes AND filiere_id=:fil');
$matiere2->execute(array('semes'=>'5', 'fil'=>$donnees['filiere']));
}
else if ($sessions=='5-6'){
	$matiere1=$bdd->prepare('SELECT * FROM cours WHERE semestre_id=:semes AND filiere_id=:fil');
$matiere1->execute(array('semes'=>'6', 'fil'=>$donnees['filiere']));
$matiere2=$bdd->prepare('SELECT * FROM cours WHERE semestre_id=:semes AND filiere_id=:fil');
$matiere2->execute(array('semes'=>'7', 'fil'=>$donnees['filiere']));
}

$chaine_de_caractere='';
$i=1;
while($matiere=$matiere1->fetch())
{
	$matier1=$bdd->prepare('SELECT * FROM matiere WHERE Id_matiere=:mati');
	$matier1->execute(array('mati'=>$matiere['matiere_id']));
	$matier= $matier1->fetch();
	
	/*Mes requetes*/
	$entrees=$bdd->prepare('SELECT COUNT(*) AS taille FROM ecu WHERE id_ue=?');
		$entrees->execute(array($matiere['matiere_id']));
		$taille=$entrees->fetch();
		$nombre_de_lignes= $taille['taille'];
		
		$resultat=$bdd->prepare('SELECT * FROM ecu WHERE id_ue=?');
		$resultat->execute(array($matiere['matiere_id']));
	
$chaine_de_caractere='<tr>
	<td style="border:1px solid #000;width:5%;padding-top:10px;" rowspan="'.$nombre_de_lignes.'" >'.$i.'</td>
	<td style="border:1px solid #000;padding-top:10px;" rowspan="'.$nombre_de_lignes.'">'.$matier['code_matiere'].'</td>
	<td style="border:1px solid #000;padding-top:10px;" rowspan="'.$nombre_de_lignes.'">'.$matier['nom_matiere'].'</td>
	<td style="border:1px solid #000;padding-top:10px;" rowspan="'.$nombre_de_lignes.'">'.$matiere['credit'].'</td>';
	
	//Un premier fetch pour recuperer la premiere entree
		$ecu=$resultat->fetch();
		$ecu=$ecu['ecu'];
		$chaine_de_caractere=''.$chaine_de_caractere.'<td style="border:1px solid #000;">'.$ecu.'</td></tr>';
		
for($j=0;$j<$nombre_de_lignes-1;$j++)
	{
		$chaine_de_caractere.='<tr>';
		//Prendre l'entree suivante avec un fetch apres le premier
			$ecu=$resultat->fetch();
		$chaine_de_caractere.='<td style="border:1px solid #000;" >'.$ecu['ecu'].'</td></tr>';
	}	

$i++;
}
//Récupération des variables
/*$matricule=trim($_POST['matricule']);
$annee= trim($_POST['annee']);

if(empty($matricule) OR empty($annee))
{
	header('Location:../plateforme_fiche_preinscrirption.php');
}	

$presentation = $bdd->prepare('SELECT * FROM presentation WHERE matricule= :matric');
$presentation->execute(array('matric' => $matricule));
$donnees= $presentation->fetch();
//echo('<script>alert('.$donnees['nom'].');</script>');*/

// create new PDF document
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, 'A3', true, 'UTF-8', false);
	
// set document information
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('IITECH');
$pdf->SetTitle('Stages');
$pdf->SetSubject('Fiche d\'inscription');
$pdf->SetKeywords('TCPDF, PDF, example, test, guide');

$pdf->setPrintHeader(false);
$pdf->setPrintFooter(false);



// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

// set margins
$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);


// set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

// set image scale factor
$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

// set some language-dependent strings (optional)
if (@file_exists(dirname(__FILE__).'/lang/eng.php')) {
	require_once(dirname(__FILE__).'/lang/eng.php');
	$pdf->setLanguageArray($l);
}

// ---------------------------------------------------------

// add a page
$pdf->AddPage();


$pdf->SetFont('dejavusans', '', 10);
$html = '
		<div style="font-family: Calibri;font-size:10px;">
		<hr/>
		<header style="text-align:center;" >
			<table style="margin:0;padding:0;padding-top:70px;">
				<tr>
					<td style="width:10%;display:inline-block;vertical-align:top;">
						<img src="fiche_img/epac.png" alt="" style="width:100px;height:100px;"/>
					</td>
					<td style="width:80%;display:inline-block;text-align:center;font-family:serif;font-size:20px;">
						<h3><u>Université des Sciences Arts et Techniques de Natitingou</u></h3>
						<h4>Ecole Nationale des Sciences et Techniques Agronomiques de Djougou</h4>
						<h5>(ENSTA-Djougou)</h5>
					</td>
					<td style="width:10%;display:inline-block;vertical-align:top;padding-left:100px;">
						<img src="fiche_img/epac.png" alt="" style="width:100px;height:100px;"/>
					</td>
				</tr>
			</table>
		</header>
		<table style="padding-top:30px;">
		<tr>
			<td id="code_img" style="width:15%;">
				<img src="fiche_img/epac.png" alt="" style="margin-right:20px;width:80px;height:80px;"/>
			</td>
			<td style="height:20px; width:70%;padding-top:10px;font-size:12px;padding-top:10px;text-align:center;">
				<div  style="width:35%;text-align:center;border:2px solid #000;">
					COMPTE BOA INSCRIPTION No : BJ061 05001 005992190018 89<br/>
					MONTANT : 235000 FCFA
				</div>
			</td>
			<td id="student_img" style="width:15%;">
				&<img src="fiche_img/epac.png" alt="" hspace="50" style="width:80px;height:80px;"/>
			</td>
		</tr>
		</table>
		
		<table id="identity" style="font-family:Helvetica;font-size:13px;">
			<tr>
			<td id="identity_first" style="width:70%;">
				<span ><u>Nom et Prénom</u> : &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp; <b><i>'.$donnees['nom'].' '.$donnees['prenoms'].'</i></b></span><br>
				<span><u>Date et lieu de naissance</u> : &nbsp;<b><i>'.$donnees['date_naiissance'].' à '.$donnees['lieu_naissance'].'</i></b></span><br>
				<span><u>Domaine</u> : &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;<b><i>Sciences et Technologies</i></b></span><br>
				<span><u>Mention</u> : &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;<b><i>'.' '.'Sciences Technologies et Environnement</i></b></span><br>
				<span><u>Spécialité</u> : &nbsp;&nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;&nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;&nbsp; <i><b>Gestion et Aménagement des Ressources Naturelles
				(AGRN) : </i></b></span><br>
			</td>
			<td id="identity_second" style="width:25%;">
				<span><u>Sexe</u> : &nbsp; &nbsp; &nbsp;&nbsp; &nbsp; &nbsp;&nbsp;&nbsp; &nbsp; &nbsp; &nbsp;&nbsp; &nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp;<b><i>'.$donnees['sexe'].'</i></b></span><br>
				<span><u>No d\'inscription</u> : &nbsp; &nbsp; &nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp;<b><i>'.$matricule.'</i></b></span><br>
				<span><u>Dimplôme préparé</u> : &nbsp;&nbsp;&nbsp; &nbsp; &nbsp; &nbsp;<b><i>License</i></b></span><br>
				<span><u>Année académique</u> : &nbsp; &nbsp; &nbsp; &nbsp;<b><i>'.$annee.'</i></b></span><br>
				<span><u>Statut</u> :  &nbsp;&nbsp; &nbsp; &nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp;<b><i>NN</i></b></span>
			</td>
			</tr>
		</table>
		<section id="tableau">
			<br/><br/>
			<table style="border-collapse:collapse;margin-top:30px;width:100%;margin:auto;">
				<tr style="background:blue;">
					<th style="border:1px solid #000;width:5%;">No</th>
					<th style="border:1px solid #000;width:8%;">Code UE</th>
					<th style="border:1px solid #000;width:40%;">Intitulé Unité</th>
					<th style="border:1px solid #000;width:8%;">Crédit UE</th>
					<th style="border:1px solid #000;width:34%;">Intitulé ECUE</th>
				</tr>'.$chaine_de_caractere.'
			</table>
			<br/><br/>
		</section>
		
		<section>
			<article>
				<h4>Mission</h4>
				<p>L\'Université des Sciences, Arts et Techniques de Natitingou (USATN) a pour mission d\'assurer la formation de cadres professionnels dans le secteur des arts, des Sciences et Techniques
					agricoles, des mines et de contribuer à la recherche scientique, aux innovations technologiques et au développement de l\'économie du Bénin.</p>
			</article>
			<article>
				<h4>Vocation</h4>
				<ul>
					<li>Faire rayonner les sciences et techniques par une forte contribution de ses applications à la productions des biens et services ;</li>
					<li>Mettre en relief le génie artistique, à travers la formation des responsables et experts de haut niveau pour les services de l\'Etat, les entreprises et la recherche ;</li>
					<li>Mettre en synergie l\'universalité, les connaissances et les spécificités locales ; Affirrmer un engagement soutenu pour la résolution des problèmes sociétaux à partir de la science et l\'ingénierie.</li>
				</ul>
			</article>
			<article>
				<h4>Vision</h4>
				<ul>
					<li>Développer son leadership dans le domaine des sciences, des formations techniques (au Bénin et dans la sous région) en formant aujourd\'hui des techniciens supérieurs, des enseignants,
					des ingénieurs et des managers pour demain, aussi compétents que ceux formés dans les meilleurs institutions de la planète ;</li>
					<li>Devenir un creuset scientifique majeur pour soutenir le développement technologique et la production artistique du Bénin et de la sous région Ouest Africaine ;</li>
					<li>Jouer le rôle de premier plan dans la mise en place d\'une technopôle dans l\'Atacora-Donga, base d\'une industrialisation du Bénin.</li>
				</ul>
			</article>
			<article>
			<br/><br/><br/>
			<hr style="border:1px solid #ccc;"/>
			<h3 style="font-family:\'Trebuchet MS\';padding-bottom:0;text-align:center;color:#26000b;">Formulaire d\'engagement charte des examens et règlement d\'usage des ressources informatiques</h3>
			<hr style="border:1px solid #ccc;margin:0;"/>
			<p style="margin-top:50px;">
			<h5><b>Je soussigné(e) BELLO Abdoul Razak inscrit(e) à l\'USATN sous le numéro matricule 8039489914, <u>Déclare avoir pris connaissance :</u></b></h5>
				<ul>
					<li>De la charte des examens de l\'USATN;</li>
					<li>De la procédure disciplinaire en vigueur ;</li>
					<li>De la charte anti-plagiat de l\'USATN;</li>
					<li>Du réglement d\'usage des ressources informatiques de l\'USATN.</li>
				</ul><br/>
				Et m\'engage à respecter la réglementation et les consignes données.<br/>
				Le plagiat est un vol de la production intellectuelle d\'autrui. Il est réalisé, soit directement en faisant une citation textuelle sans indication de source, soit indirectement en s\'appropriant l\'idée d\'un autre.
			</h5>	
			</article>
			<div style="text-align:center;">
				<br/><br/><br/>
				<i>Fait le .../.../...<br/><br/><br/><br/>Signature</i><br/><br/><br/>
			</div>
		</section>
		<hr/>
		<p style="font-family:Calibri;">
		<u>NB</u> : <i>La validation de votre inscription est obligatoire, sans quoi, votre préinscription est nulle et non avenue. 
		Institut d\'Innovation Technologique (IITECH)
		Info: iitech@ refod. net</i>';
$pdf->writeHTML($html, true, 0, true, true);
$pdf->lastPage();

// ---------------------------------------------------------

//Close and output PDF document
$pdf->Output('fiche_inscription.pdf', 'I');
?>